Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 86452

Summary: user does not get device permissions for manually added SCSI device
Product: [Retired] Red Hat Raw Hide Reporter: Michael Wardle <michael.wardle>
Component: pamAssignee: Tomas Mraz <t8m>
Status: CLOSED WONTFIX QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-21 13:22:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michael Wardle 2003-03-22 10:45:02 UTC
Description of problem:
I have an IDE/ATAPI DVD drive on /dev/hdc and an IDE/ATAPI CD-RW drive on
/dev/hdd.  Red Hat Linux automatically configures the CD-RW drive as an
IDE-SCSI device by adding hdd=ide-scsi to the kernel boot parameters.
For consistency and improved performance, I have also configured my DVD
drive as an IDE-SCSI device by adding hdc=ide-scsi to the kernel boot
parameters.

After rebooting, the SCSI devices in /dev are given the following
permissions:
brw-------    1 michael  disk      11,   0 Jan 30 21:24 /dev/scd0
brw-------    1 michael  disk      11,   1 Jan 30 21:24 /dev/scd1
crw-rw----    1 root     disk      21,   0 Jan 30 21:24 /dev/sg0
crw-------    1 michael  disk      21,   1 Jan 30 21:24 /dev/sg1

To be able to consistently and completely use the DVD drive as a SCSI
device (in particular to be able to rip music from an audio CD in the DVD
drive using Grip), /dev/sg0 also needs to have permissions similar to
/dev/sg1.

Given the devices are owned by the user "michael", the user who is
currently logged in to a local X session on the console via GDM, I
am filing this bug under GDM, assuming it is what has modified the
permissions on the SCSI devices, but has not also modified the
permissions on /dev/sg0.

Version-Release number of selected component (if applicable):
gdm-2.4.1.3-2

Comment 1 Michael Wardle 2003-03-31 03:53:33 UTC
It seems like this is handled by pam_console in /etc/security/console.perms.
Changing component accordingly.

pam-0.75-48


Comment 2 Tomas Mraz 2004-09-21 13:22:00 UTC
You need to read the man console.perms and change it accordingly to
your  modified configuration.